Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002371 [JEDI VCL] 00 JVCL Components major always 2004-12-10 12:10 2004-12-10 13:32
Reporter ppm View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002371: JvBdeUtils support for Int64 needed for Locate from JvMemoryData
Description below patch tested with Largeint fileds in TjvMemoryData and "lookup fields"
Additional Information my patch
Index: JVCL3/run/JvBdeUtils.pas
===================================================================
RCS file: /cvsroot/jvcl/dev/JVCL3/run/JvBdeUtils.pas,v
retrieving revision 1.30
diff -u -r1.30 JvBdeUtils.pas
--- JVCL3/run/JvBdeUtils.pas 1 Sep 2004 15:06:31 -0000 1.30
+++ JVCL3/run/JvBdeUtils.pas 10 Dec 2004 19:52:58 -0000
@@ -356,7 +356,7 @@
         AnsiToNative(Locale, Value, PChar(Buffer), FldSize);
       fldBYTES, fldVARBYTES:
         Move(Value[1], Buffer^, Min(Length(Value), FldSize));
- fldINT16, fldINT32, fldUINT16:
+ fldINT16, fldINT32, fldUINT16{$IFDEF COMPILER7_UP}, fldINT64{$ENDIF}:
         begin
           if Value = '' then
             FillChar(Buffer^, FldSize, 0)
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005852)
ppm (reporter)
2004-12-10 12:28

i explain : problem occurs with lookup fields and key on largeint(int64) fields when it do locate on "lookup dataset"
(0005853)
user72
2004-12-10 13:15

Isn't fldINT64 available in D5? I think so...
(0005854)
user72
2004-12-10 13:32

Updated in CVS: int64 added for all versions (D5-D7)

- Issue History
Date Modified Username Field Change
2004-12-10 12:10 ppm New Issue
2004-12-10 12:28 ppm Note Added: 0005852
2004-12-10 13:15 user72 Note Added: 0005853
2004-12-10 13:15 user72 Status new => feedback
2004-12-10 13:32 user72 Status feedback => resolved
2004-12-10 13:32 user72 Resolution open => fixed
2004-12-10 13:32 user72 Assigned To => user72
2004-12-10 13:32 user72 Note Added: 0005854
2004-12-10 13:32 user72 Assigned To user72 =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker